com.atid.lib.reader.types

## Enum DataType

- java.lang.Object
- - java.lang.Enum<DataType>
  - - com.atid.lib.reader.types.DataType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<DataType>

      public enum DataType
      extends java.lang.Enum<DataType>
      implements IEnumType

  It distinguishes whether the data received from the equipment is barcode data or TAG data of RFID UHF.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Barcode`
    `Tag`
    `Unknown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static DataType` | `valueOf(int code)`
    `static DataType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DataType Unknown

    - #### Tag

          public static final DataType Tag

    - #### Barcode

          public static final DataType Barcode

  - ### Method Detail

    - #### values

          public static DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataType c : DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<DataType>`

    - #### valueOf

          public static DataType valueOf(int code)